#include "Logger.h"
#include <stdio.h>
#include <time.h>

int _Log(const char * format,...) {
	FILE * f = fopen(FNAME,"a");
	if (f) {
		struct tm * timecomp;
		va_list lst;
		time_t timer;
		timer=time(NULL);
		timecomp = gmtime(&timer); 
		va_start(lst,format);
		fprintf(f,"%02d/%02d/%04d %02d:%02d:%02d -> ",
			timecomp->tm_mday,
			timecomp->tm_mon+1,
			timecomp->tm_year+1900,
			timecomp->tm_hour,
			timecomp->tm_min,
			timecomp->tm_sec);
		vfprintf(f, format, lst); 
		fprintf(f,"\n");
		va_end(lst);
		fclose(f);
		return 0;
	}
	else
		return 1;
}